package ld27.menu;

import ld27.sound.Sound;

public abstract class Menu {
	public int options, selected;
	
	public static Sound menuMove, menuSelect;
	
	public Menu(int options, int selected) {
		this.options = options;
		this.selected = selected;
		menuMove = Sound.sounds.get("menumove");
		menuSelect = Sound.sounds.get("menuselect");
	}
	
	public void up() {
		selected--;
		if(selected < 0) {
			selected = 0;
		}
		menuMove.play();
	}
	
	public void down() {
		selected++;
		if(selected >= options-1) {
			selected = options-1;
		}
		menuMove.play();
	}
	
	public void select() {
		menuSelect.play();
	}
	
	public abstract void draw();
	public void destroy() {}
}
