package ld27.menu;

import static org.lwjgl.opengl.GL11.glTranslatef;
import ld27.Main;
import ld27.render.TextRenderer;
import ld27.texture.Texture;

public class MenuAbout extends Menu {
	public TextRenderer[] text;
	public TextRenderer[] options;
	public TextRenderer arrow;
	
	public MenuAbout() {
		super(1, 0);

		text = new TextRenderer[5];
		text[0] = new TextRenderer(Texture.get("font"), "This game was made", 0.1f, 0.1f, 0.75f/16f, 1, 1, 1, 1);
		text[1] = new TextRenderer(Texture.get("font"), "by Andreas Olofsson", 0.1f, 0.2f, 0.75f/16f, 1, 1, 1, 1);
		text[2] = new TextRenderer(Texture.get("font"), "during 48 hours for ", 0.1f, 0.3f, 0.75f/16f, 1, 1, 1, 1);
		text[3] = new TextRenderer(Texture.get("font"), "Ludum Dare 27. ", 0.1f, 0.4f, 0.75f/16f, 1, 1, 1, 1);
		text[4] = new TextRenderer(Texture.get("font"), "Creative Commons by-nc-sa", 0.1f, 0.74f, 0.5f/16f, 1, 1, 1, 1);
		
		options = new TextRenderer[1];
		options[0] = new TextRenderer(Texture.get("font"), "Back", 0.2f, 0.9f, 1/32f, 1, 1, 1, 1);

		arrow = new TextRenderer(Texture.get("font"), "> ", 0.2f - 2/32f, 0.9f, 1/32f, 1, 1, 1, 1);
	}

	@Override
	public void select() {
		super.select();
		
		if(selected == 0) {
			Main.instance.setMenu(new MenuMain());
		}
	}

	@Override
	public void draw() {
		for(int i = 0; i < text.length; i++) {
			text[i].draw();
		}
		
		for(int i = 0; i < options.length; i++) {
			options[i].draw();
		}
		glTranslatef(0, selected/16f, 0);
		arrow.draw();
		glTranslatef(0, -selected/16f, 0);
	}

	@Override
	public void destroy() {
		for(int i = 0; i < text.length; i++) {
			text[i].destroy();
		}
		for(int i = 0; i < options.length; i++) {
			options[i].destroy();
		}
		arrow.destroy();
	}
}