package ld27.menu;

import static org.lwjgl.opengl.GL11.glTranslatef;
import ld27.Main;
import ld27.render.TextRenderer;
import ld27.texture.Texture;

public class MenuControls extends Menu {
	public TextRenderer[] text;
	public TextRenderer[] options;
	public TextRenderer arrow;
	
	public MenuControls() {
		super(1, 0);

		text = new TextRenderer[2];
		text[0] = new TextRenderer(Texture.get("font"), "WASD - Movement", 0.1f, 0.1f, 0.75f/16f, 1, 1, 1, 1);
		text[1] = new TextRenderer(Texture.get("font"), "Left Click - Shoot", 0.1f, 0.2f, 0.75f/16f, 1, 1, 1, 1);
		
		options = new TextRenderer[1];
		options[0] = new TextRenderer(Texture.get("font"), "Back", 0.2f, 0.9f, 1/32f, 1, 1, 1, 1);

		arrow = new TextRenderer(Texture.get("font"), "> ", 0.2f - 2/32f, 0.9f, 1/32f, 1, 1, 1, 1);
	}

	@Override
	public void select() {
		super.select();
		
		if(selected == 0) {
			Main.instance.setMenu(new MenuMain());
		}
	}

	@Override
	public void draw() {
		for(int i = 0; i < text.length; i++) {
			text[i].draw();
		}
		
		for(int i = 0; i < options.length; i++) {
			options[i].draw();
		}
		glTranslatef(0, selected/16f, 0);
		arrow.draw();
		glTranslatef(0, -selected/16f, 0);
	}

	@Override
	public void destroy() {
		for(int i = 0; i < text.length; i++) {
			text[i].destroy();
		}
		for(int i = 0; i < options.length; i++) {
			options[i].destroy();
		}
		arrow.destroy();
	}
}
