package ld27.menu;

import ld27.Main;
import ld27.entity.Player;
import ld27.render.TextRenderer;
import ld27.texture.Texture;
import ld27.world.World;
import static org.lwjgl.opengl.GL11.*;

public class MenuMain extends Menu {
	public TextRenderer title;
	public TextRenderer[] options;
	public TextRenderer arrow;
	
	public MenuMain() {
		super(3, 0);

		title = new TextRenderer(Texture.get("font"), "Survive", 0.1f, 0.2f, 1/16f, 1, 1, 1, 1);
		
		options = new TextRenderer[3];
		options[0] = new TextRenderer(Texture.get("font"), "Start", 0.4f, 0.5f, 1/32f, 1, 1, 1, 1);
		options[1] = new TextRenderer(Texture.get("font"), "Controls", 0.4f, 0.5f + 2/32f, 1/32f, 1, 1, 1, 1);
		options[2] = new TextRenderer(Texture.get("font"), "About", 0.4f, 0.5f + 4/32f, 1/32f, 1, 1, 1, 1);
		
		arrow = new TextRenderer(Texture.get("font"), "> ", 0.4f - 2/32f, 0.5f, 1/32f, 1, 1, 1, 1);
	}

	@Override
	public void select() {
		super.select();
		
		if(selected == 0) {
			Main.instance.world = new World();
			Main.instance.player = new Player();
			Main.instance.world.add(Main.instance.player);
			Main.instance.time = 0;
			Main.instance.spawnTime = 0;
			Main.instance.setMenu(null);
		} else if(selected == 1) {
			Main.instance.setMenu(new MenuControls());
		} else if(selected == 2) {
			Main.instance.setMenu(new MenuAbout());
		}
	}

	@Override
	public void draw() {
		title.draw();
		
		for(int i = 0; i < options.length; i++) {
			options[i].draw();
		}
		glTranslatef(0, selected/16f, 0);
		arrow.draw();
		glTranslatef(0, -selected/16f, 0);
	}

	@Override
	public void destroy() {
		title.destroy();
		
		for(int i = 0; i < options.length; i++) {
			options[i].destroy();
		}
		arrow.destroy();
	}
}
