package ld27.menu;

import static org.lwjgl.opengl.GL11.glTranslatef;
import ld27.Main;
import ld27.entity.Player;
import ld27.render.TextRenderer;
import ld27.texture.Texture;
import ld27.world.World;

public class MenuScore extends Menu {
	public TextRenderer score1, score2;
	public TextRenderer[] options;
	public TextRenderer arrow;
	
	public MenuScore(int kills, float time) {
		super(2, 0);
		
		score1 = new TextRenderer(Texture.get("font"), "Kills: " + kills, 0.1f, 0.2f, 0.75f/16f, 1, 1, 1, 1);
		score2 = new TextRenderer(Texture.get("font"), "Survived: " + Main.timeFormat.format(time), 0.1f, 0.2f + 1.5f/16f, 0.75f/16f, 1, 1, 1, 1);
		
		options = new TextRenderer[2];
		options[0] = new TextRenderer(Texture.get("font"), "Restart", 0.4f, 0.5f, 1/32f, 1, 1, 1, 1);
		options[1] = new TextRenderer(Texture.get("font"), "Main Menu", 0.4f, 0.5f + 2/32f, 1/32f, 1, 1, 1, 1);
		
		arrow = new TextRenderer(Texture.get("font"), "> ", 0.4f - 2/32f, 0.5f, 1/32f, 1, 1, 1, 1);
	}

	@Override
	public void select() {
		super.select();
		
		if(selected == 0) {
			Main.instance.world = new World();
			Main.instance.player = new Player();
			Main.instance.world.add(Main.instance.player);
			Main.instance.time = 0;
			Main.instance.spawnTime = 0;
			Main.instance.setMenu(null);
		} else if(selected == 1) {
			Main.instance.setMenu(new MenuMain());
		}
	}

	@Override
	public void draw() {
		score1.draw();
		score2.draw();
		
		for(int i = 0; i < options.length; i++) {
			options[i].draw();
		}
		glTranslatef(0, selected/16f, 0);
		arrow.draw();
		glTranslatef(0, -selected/16f, 0);
	}

	@Override
	public void destroy() {
		score1.destroy();
		score2.destroy();
		for(int i = 0; i < options.length; i++) {
			options[i].destroy();
		}
		arrow.destroy();
	}
}
