package ld27.particle;

import java.util.Random;

import ld27.texture.Texture;
import ld27.texture.TileRenderer;

public class Blood extends Particle {
	public int type, id;
	
	public Blood(float x, float y, float dx, float dy, int type) {
		this.x = x;
		this.y = y;
		this.dx = dx;
		this.dy = dy;
		this.type = type;
		id = new Random().nextInt(3) + 1;
		this.life = 5;
		if(type == 3) {
			this.type = 1;
			life = Float.POSITIVE_INFINITY;
		}
	}

	public void tick(float length) {
		super.tick(length);

		if(x < 0.4f) {
			x = 0.4f;
			dx *= -0.5f;
		}
		if(x > 19.6f) {
			x = 19.6f;
			dx *= -0.5f;
		}
		if(y < 0.4f) {
			y = 0.4f;
			dy *= -0.5f;
		}
		if(y > 19.6f) {
			y = 19.6f;
			dy *= -0.5f;
		}

		dx *= 1f - 10f * length;
		dy *= 1f - 10f * length;
	}

	@Override
	public void draw() {
		TileRenderer renderer = new TileRenderer(Texture.get("textures"), id, 3);
		renderer.renderer.setColor(type == 1 ? 0.7f : 0, type == 2 ? 0.2f : 0, 0, 1-age / life);
		renderer.add(x + -0.5f, y + -0.5f);
		renderer.draw();
		renderer.destroy();
	}
}
