package ld27.render;

import ld27.texture.Texture;

import static org.lwjgl.opengl.GL11.*;

public class TextRenderer {
	public Texture texture;
	public Renderer renderer;
	
	public TextRenderer(Texture texture, String text, float x, float y, float scale, float r, float g, float b, float a) {
		this.texture = texture;
		
		renderer = new Renderer(true, false, false);
		renderer.setColor(r, g, b, a);
		
		for(int i = 0; i < text.length(); i++) {
			char c = text.charAt(i);
			renderer.addVertex(new float[] {x+scale, y}, new float[] {(c+1)/128f, 0}, null);
			renderer.addVertex(new float[] {x, y}, new float[] {c/128f, 0}, null);
			renderer.addVertex(new float[] {x, y+2*scale}, new float[] {c/128f, 1}, null);
			renderer.addVertex(new float[] {x+scale, y+2*scale}, new float[] {(c+1)/128f, 1}, null);
			x += scale;
		}
		
		renderer.genBuffers(GL_QUADS);
	}
	
	public void draw() {
		texture.bind();
		renderer.drawBuffers();
	}
	
	public void destroy() {
		renderer.reset();
	}
}
