package ld27.sound;

import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;

import org.newdawn.slick.openal.Audio;
import org.newdawn.slick.openal.AudioLoader;

public class Sound {
	public static final HashMap<String, Sound> sounds = new HashMap<String, Sound>();
	
	public Audio audio;
	public float pitch, gain;
	
	private Sound(Audio audio, float pitch, float gain) {
		this.audio = audio;
		this.pitch = pitch;
		this.gain = gain;
	}
	
	public static Sound load(String name, InputStream inputstream, float pitch, float gain) throws IOException {
		Sound sound = new Sound(AudioLoader.getAudio("WAV", inputstream), pitch, gain);
		sounds.put(name, sound);
		return sound;
	}
	
	public void play() {
		audio.playAsSoundEffect(pitch, gain, false);
	}
}
