package ld27.texture;

import org.lwjgl.opengl.GL11;

import ld27.render.Renderer;

public class TileRenderer {
	public Texture texture;
	public Renderer renderer;
	
	private float texX1, texY1, texX2, texY2;
	
	public TileRenderer(Texture texture, int texX, int texY) {
		this.texture = texture;
		
		texX1 = 1f / 8 * texX+0.001f;
		texY1 = 1f / 8 * texY+0.001f;
		texX2 = 1f / 8 * (texX+1)-0.001f;
		texY2 = 1f / 8 * (texY+1)-0.001f;
		
		renderer = new Renderer(true, false, false);
		renderer.setColor(1, 1, 1, 1);
	}
	
	public void add(float x, float y) {
		float x1, y1, x2, y2;
		x1 = 1f / 16 * x-0.001f;
		y1 = 1f / 16 * y-0.001f;
		x2 = 1f / 16 * (x+1)+0.001f;
		y2 = 1f / 16 * (y+1)+0.001f;
		
		renderer.addVertex(new float[] {x2, y1}, new float[] {texX2, texY1}, null);
		renderer.addVertex(new float[] {x1, y1}, new float[] {texX1, texY1}, null);
		renderer.addVertex(new float[] {x1, y2}, new float[] {texX1, texY2}, null);
		renderer.addVertex(new float[] {x2, y2}, new float[] {texX2, texY2}, null);
	}
	
	public void draw() {
		renderer.genBuffers(GL11.GL_QUADS);
		
		texture.bind();
		renderer.drawBuffers();
	}
	
	public void destroy() {
		renderer.reset();
	}
}
